using System;
using System.Windows.Forms;

namespace _4_6
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int i;
            float s = 0;

            for (i = 1; i <= 10; i++)
            {
                if (i % 2 == 0)
                    s -= (float)1 / i;
                else
                    s += (float)1 / i;
            }
            MessageBox.Show(s.ToString());
        }
    }
}